---
title: Access-Control-Max-Age
slug: Web/HTTP/Headers/Access-Control-Max-Age
tags:
  - CORS
  - HTTP
  - Reference
  - header
---
<p>{{HTTPSidebar}}</p>

<p>The <strong><code>Access-Control-Max-Age</code></strong> response header indicates how long the results of a {{glossary("preflight request")}} (that is the information contained in the {{HTTPHeader("Access-Control-Allow-Methods")}} and {{HTTPHeader("Access-Control-Allow-Headers")}} headers) can be cached.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Access-Control-Max-Age: &lt;delta-seconds&gt;
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;delta-seconds&gt;</dt>
 <dd>Maximum number of seconds the results can be cached.<br>
 Firefox <a href="https://dxr.mozilla.org/mozilla-central/rev/7ae377917236b7e6111146aa9fb4c073c0efc7f4/netwerk/protocol/http/nsCORSListenerProxy.cpp#1131">caps this at 24 hours</a> (86400 seconds).<br>
 Chromium (prior to v76) <a href="https://cs.chromium.org/chromium/src/services/network/public/cpp/cors/preflight_result.cc?l=36&amp;rcl=52002151773d8cd9ffc5f557cd7cc880fddcae3e">caps at 10 minutes</a> (600 seconds).<br>
 Chromium (starting in v76) <a href="https://cs.chromium.org/chromium/src/services/network/public/cpp/cors/preflight_result.cc?l=31&amp;rcl=49e7c0b4886cac1f3d09dc046bd528c9c811a0fa">caps at 2 hours</a> (7200 seconds).<br>
 Chromium also specifies a default value of 5 seconds.<br>
 A value of <strong>-1</strong> will disable caching, requiring a preflight OPTIONS check for all calls.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Cache results of a preflight request for 10 minutes:</p>

<pre class="notranslate">Access-Control-Max-Age: 600 </pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Fetch','#http-access-control-max-age', 'Access-Control-Max-Age')}}</td>
   <td>{{Spec2("Fetch")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Access-Control-Max-Age")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Access-Control-Allow-Headers")}}</li>
 <li>{{HTTPHeader("Access-Control-Allow-Methods")}}</li>
</ul>
